Subject: Re: Men's Issues Newsbri (2)

From: [email-masked] (aaron.l.hoffmeyer)
Date: Sat, 10 Oct 1992 22:37:19 GMT

In article <[email-masked]> Will Steeves <[email-masked]> writes:
>Dave Gross writes...
>DG> "Women don't kill men unless they've been pushed to a point of desperation."
>DG>                 -- Dr. Lenore Walker, executive director of the
>DG>          Domestic Violence Institute
>
>Hmmph!  But apparently when men kill women, it is *always* "for control,"
>rather than desperation, right?
>
>Gee, does it sound like she's trying to justify violence?  Except when it's
>by an individual who is double-X-chromosonally-challenged, it would seem,
>though...

Definitely.  Lenore Walker "loves" to testify on behalf of women who
have murdered their husbands.  She loves to paint pictures in court of
these terrible men that were so abusive to their wives that the *only*
recourse this specific woman had was to convince her husband to take
out a large insurance policy, then contract two hit-men to bump him
off - with shotguns.

You see, because of her double-X chromosome problem, she had no other
choice.

As a society, we should be glad that this woman was able to rid
huwomanity of this potential abuser.  We should not condemn her, we
should praise her for the service she has done to womankind.

Aaron L. Hoffmeyer
[email-masked]